Subject: RE: g++ 3.0.1 and g++ 2.95.3.5
From: "Piyush Kumar" <[email-masked]>
To: "Tim Prince" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 21 Oct 2001 01:10:46 -0400

Hi! I'm not criticizing anyone! I just dont know why 3.0.1
is slower. I was guessing it might be my code because of which
I got it slow. I might have missed up the threads that actually
answer my question already on the mailing list. 

And I also just wanted to know when g++ 3.0.1 is coming to standard
download because I might have done something wrong in the compilation
because of which the output code generated is so slow.

Thanks for your reply thou,
--Piyush

> -----Original Message-----
> From: Tim Prince [mailto:[email-masked]]
> Sent: Sunday, October 21, 2001 12:48 AM
> To: Piyush Kumar; [email-masked]
> Subject: Re: g++ 3.0.1 and g++ 2.95.3.5
> 
> 
> 
> ----- Original Message -----
> From: "Piyush Kumar" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, October 20, 2001 6:08 PM
> Subject: g++ 3.0.1 and g++ 2.95.3.5
> 
> 
> >
> > I have a project of around (10k lines of C++ which uses lot of
> templates)
> > I have right now 2.95.3-5 of gcc installed and today I compiled
> 3.0.1
> > on my machine. The output from g++ 3.0.1 is more than twice
> slower compared
> > to 2.95.3-5 with same optimization settings!!! Is it because of
> my code
> > or has some one else also seen this before!
> >
> > When is g++ 3.0.1 coming to the standard download from the
> mirror
> > sites of cygwin(Thru setup.exe)
> >
> Haven't you read any of the comments?  Do I understand that
> you're criticizing someone on the cygwin team both for the
> slowness of 3.0.1 and also for not using it to replace the
> current mostly working integrated system?
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/